package csa.tiletools.worldgen.heroextant.framework.uilayer.scene;

public interface SceneElement {
    void draw(GraphicsOperations g, FontMetricsService fm);

    String getName();

    int getWidth();

    int getX();

    int getHeight();

    int getY();
}